play.http.secret.key="7sY3Bs1FX>/;mj?M3WjLXY6OfM@wEuP_hL2RNQ=D3=BSThgH8o4qk=W>Os8Cbbu/"
play.http.errorHandler="controllers.ErrorHandler"

play.filters.hosts {
  allowed = ["."]
}

db.default.url="jdbc:mysql://localhost:3306/recipes"
db.default.username=recipes
db.default.password="k7K&5mkZ"

fixedConnectionPool = 9

play.db {
  prototype {
    hikaricp.minimumIdle = ${fixedConnectionPool}
    hikaricp.maximumPoolSize = ${fixedConnectionPool}
  }
}

database.dispatcher {
  executor = "thread-pool-executor"
  throughput = 1
  thread-pool-executor {
    fixed-pool-size = ${fixedConnectionPool}
  }
}
